digiKam Developer Documentation: Digikam::ColorLabelFilter Class Reference

| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Signals | Public Member Functions | List of all members
Digikam::ColorLabelFilter Class Reference
Inheritance diagram for Digikam::ColorLabelFilter:

## Signals
void | signalColorLabelSelectionChanged (const QList< ColorLabel > &)
Signals inherited from Digikam::ColorLabelWidget
void | signalColorLabelChanged (int)

## Public Member Functions
| ColorLabelFilter (QWidget *const parent=nullptr)
QList< TAlbum * > | getCheckedColorLabelTags ()
void | reset ()
Public Member Functions inherited from Digikam::ColorLabelWidget
| ColorLabelWidget (QWidget *const parent=nullptr)
QList< ColorLabel > | colorLabels () const
| Return the list of Color Label buttons turned on or an empty list of none.
void | setButtonsExclusive (bool b)
| Set all Color Label buttons exclusive or not.
void | setColorLabels (const QList< ColorLabel > &list)
| Turn on Color Label buttons using list.
void | setDescriptionBoxVisible (bool b)
| Show or not on the bottom view the description of label with shortcuts.
Public Member Functions inherited from Digikam::DVBox
| DVBox (QWidget *const parent=nullptr)
Public Member Functions inherited from Digikam::DHBox
| DHBox (QWidget *const parent=nullptr)
QSize | minimumSizeHint () const override
void | setContentsMargins (const QMargins &margins)
void | setContentsMargins (int left, int top, int right, int bottom)
void | setSpacing (int space)
void | setStretchFactor (QWidget *const widget, int stretch)
QSize | sizeHint () const override

## Additional Inherited Members
Static Public Member Functions inherited from Digikam::ColorLabelWidget
static QIcon | buildIcon (ColorLabel label, int size=12)
static QColor | labelColor (ColorLabel label)
static QString | labelColorName (ColorLabel label)
Protected Member Functions inherited from Digikam::ColorLabelWidget
bool | eventFilter (QObject *obj, QEvent *ev) override
Protected Member Functions inherited from Digikam::DHBox
| DHBox (bool vertical, QWidget *const parent)
void | childEvent (QChildEvent *e) override